<?php

// All errors except notices and warnings
error_reporting(E_ALL ^ (E_NOTICE | E_WARNING));

session_start();
//config datoteka
require($_SERVER["DOCUMENT_ROOT"]."/sys/config.php");

//datoteka, kjer se vključujejo potrebne knjižnjice
require($_SERVER["DOCUMENT_ROOT"]."/sys/init.php");

$tpl_path=$_SERVER["DOCUMENT_ROOT"]."/templates/ajax/";


$p = arrayXSScheck($_POST);

if(function_exists($p['action'])) $p['action']();


function get_top(){
	global $p;
	
	$ex=explode("/",$_SERVER['HTTP_REFERER']);
	
	$slike_path='/img/top_slike/';
	$napisi_path='/img/top_pasice/';
	
	$show=$ex[(count($ex)-1)];
	
	
	if($show=="dentalni-studio" || $show=="ustna-higiena"){
		switch($ex[(count($ex)-1)]){
			case "ustna-higiena":
			
				$slike=array(
					0 => $slike_path.'16063248_smejoca_druzina.png',
					1 => $slike_path.'16469313_zobne_krtacke.png',
					2 => $slike_path.'AA7_5860.png',
					3 => $slike_path.'AA7_5871.png',
					4 => $slike_path.'13302662_mati_in_hci.png'
				);
				$pasice=array(
					0 => $napisi_path.'ustna_higiena_pripomore_k_dobremu_splosnemu_zdravju.png',
					1 => $napisi_path.'primerna_in_hkrati_zdrava_prehrana.png',
					2 => $napisi_path.'vasemu_zdravju_in_nasmehu_se.png',
					3 => $napisi_path.'skupaj_se_borimo_proti_neprijetnemu_zadahu.png'
				);
				
				shuffle($slike);
				shuffle($pasice);
			
				$data=array(
					array(
						'img'=>$slike[0],
						'napis'=>$pasice[0]
					),
					array(
						'img'=>$slike[1],
						'napis'=>$pasice[1]
					),
					array(
						'img'=>$slike[2],
						'napis'=>$pasice[2]
					),
					array(
						'img'=>$slike[3],
						'napis'=>$pasice[3]
					)
				);
			break;
			case "dentalni-studio":
			
				$slike=array(
					0 => $slike_path.'AA7_5806.png',
					1 => $slike_path.'AA7_5766.png',
					2 => $slike_path.'AA7_5924crop.png',
					3 => $slike_path.'AA7_5940.png',
					4 => $slike_path.'AA7_5744.png',
					5 => $slike_path.'AA7_5936.png',
					6 => $slike_path.'AA7_5796.png',
					7 => $slike_path.'AA7_5809.png',
					8 => $slike_path.'AA7_5936.png',
					9 => $slike_path.'16063248_smejoca_druzina.png',
					10 => $slike_path.'14945215_zenska_z_jabolkom.png',
					11 => $slike_path.'13302662_mati_in_hci.png',
					12 => $slike_path.'13302662_mati_in_hci.png'
				);
				$pasice=array(
					0 => $napisi_path.'ze_vrsto_let_skrbiva_za_nasmeh_na_vasih_ustih.png',
					1 => $napisi_path.'pohvaliva_se_lahko_s_kratkimi.png',
					2 => $napisi_path.'oglasite_se_na_brezplacnem.png',
					3 => $napisi_path.'najbolj_kakovostni_materiali_vam_zagotavljajo.png',
					4 => $napisi_path.'v_dentalnem_studiu_se_drziva.png',
					5 => $napisi_path.'vasemu_zdravju_in_nasmehu_se.png',
					6 => $napisi_path.'vzameva_si_cas.png',
					7 => $napisi_path.'poskusava_odgovoriti_na_vsa_vasa_vprasanja.png',
					8 => $napisi_path.'skupaj_z_vami_oblikujeva.png'
				);
				
				shuffle($slike);
				shuffle($pasice);
				
				$data=array(
					array(
						'img'=>$slike[0],
						'napis'=>$pasice[0]
					),
					array(
						'img'=>$slike[1],
						'napis'=>$pasice[1]
					),
					array(
						'img'=>$slike[2],
						'napis'=>$pasice[2]
					),
					array(
						'img'=>$slike[3],
						'napis'=>$pasice[3]
					),
					array(
						'img'=>$slike[4],
						'napis'=>$pasice[4]
					),
					array(
						'img'=>$slike[5],
						'napis'=>$pasice[5]
					),
					array(
						'img'=>$slike[6],
						'napis'=>$pasice[6]
					),
					array(
						'img'=>$slike[7],
						'napis'=>$pasice[7]
					),
					array(
						'img'=>$slike[8],
						'napis'=>$pasice[8]
					),
					array(
						'img'=>$slike[9],
						'napis'=>$pasice[1]
					),
					array(
						'img'=>$slike[10],
						'napis'=>$pasice[2]
					),
					array(
						'img'=>$slike[11],
						'napis'=>$pasice[3]
					),
					array(
						'img'=>$slike[12],
						'napis'=>$pasice[4]
					)
				);
			break;
		}
	}else{
		switch($ex[(count($ex)-1)]){
			case "dentalne-storitve":
			
				$slike=array(
					0 => $slike_path.'AA7_5806.png',
					1 => $slike_path.'AA7_5766.png',
					2 => $slike_path.'AA7_5924crop.png',
					3 => $slike_path.'AA7_5940.png',
					4 => $slike_path.'AA7_5744.png',
					5 => $slike_path.'AA7_5936.png',
					6 => $slike_path.'AA7_5796.png',
					7 => $slike_path.'AA7_5809.png',
					8 => $slike_path.'AA7_5936.png'
				);
				$pasice=array(
					0 => $napisi_path.'vzameva_si_cas.png',
					1 => $napisi_path.'poskusava_odgovoriti_na_vsa_vasa_vprasanja.png',
					2 => $napisi_path.'skupaj_z_vami_oblikujeva.png',
					3 => $napisi_path.'z_uporabo_intraoralne_kamere.png'
				);
				
				shuffle($slike);
				shuffle($pasice);
			
				$data=array(
					array(
						'img'=>$slike[0],
						'napis'=>$pasice[0]
					),
					array(
						'img'=>$slike[1],
						'napis'=>$pasice[1]
					),
					array(
						'img'=>$slike[2],
						'napis'=>$pasice[2]
					),
					array(
						'img'=>$slike[3],
						'napis'=>$pasice[3]
					)
				);
			break;
			default:
				$slike=array(
					0 => $slike_path.'AA7_5806.png',
					1 => $slike_path.'AA7_5766.png',
					2 => $slike_path.'AA7_5924crop.png',
					3 => $slike_path.'AA7_5940.png',
					4 => $slike_path.'AA7_5744.png',
					5 => $slike_path.'AA7_5936.png',
					6 => $slike_path.'AA7_5796.png',
					7 => $slike_path.'AA7_5809.png',
					8 => $slike_path.'AA7_5936.png'
				);
				$pasice=array(
					0 => $napisi_path.'ze_vrsto_let_skrbiva_za_nasmeh_na_vasih_ustih.png',
					1 => $napisi_path.'pohvaliva_se_lahko_s_kratkimi.png',
					2 => $napisi_path.'oglasite_se_na_brezplacnem.png',
					3 => $napisi_path.'najbolj_kakovostni_materiali_vam_zagotavljajo.png',
					4 => $napisi_path.'v_dentalnem_studiu_se_drziva.png',
					5 => $napisi_path.'vasemu_zdravju_in_nasmehu_se.png',
					6 => $napisi_path.'vzameva_si_cas.png',
					7 => $napisi_path.'poskusava_odgovoriti_na_vsa_vasa_vprasanja.png',
					8 => $napisi_path.'skupaj_z_vami_oblikujeva.png'
				);
				
				shuffle($slike);
				shuffle($pasice);
				
				$data=array(
					array(
						'img'=>$slike[0],
						'napis'=>$pasice[0]
					),
					array(
						'img'=>$slike[1],
						'napis'=>$pasice[1]
					),
					array(
						'img'=>$slike[2],
						'napis'=>$pasice[2]
					),
					array(
						'img'=>$slike[3],
						'napis'=>$pasice[3]
					),
					array(
						'img'=>$slike[4],
						'napis'=>$pasice[4]
					),
					array(
						'img'=>$slike[5],
						'napis'=>$pasice[5]
					),
					array(
						'img'=>$slike[6],
						'napis'=>$pasice[6]
					),
					array(
						'img'=>$slike[7],
						'napis'=>$pasice[7]
					),
					array(
						'img'=>$slike[8],
						'napis'=>$pasice[8]
					)
				);
			break;
		}
	}

	die(json_encode($data));
	
}




function email_validate(){
	global $p;
	if(!validEmail($p['email'])){
		die("false");
	}
	die("true");	
}

/**
Validate an email address.
Provide email address (raw input)
Returns true if the email address has the email 
address format and the domain exists.
*/
function validEmail($email)
{
   $isValid = true;
   $atIndex = strrpos($email, "@");
   if (is_bool($atIndex) && !$atIndex)
   {
      $isValid = false;
   }
   else
   {
      $domain = substr($email, $atIndex+1);
      $local = substr($email, 0, $atIndex);
      $localLen = strlen($local);
      $domainLen = strlen($domain);
      if ($localLen < 1 || $localLen > 64)
      {
         // local part length exceeded
         $isValid = false;
      }
      else if ($domainLen < 1 || $domainLen > 255)
      {
         // domain part length exceeded
         $isValid = false;
      }
      else if ($local[0] == '.' || $local[$localLen-1] == '.')
      {
         // local part starts or ends with '.'
         $isValid = false;
      }
      else if (preg_match('/\\.\\./', $local))
      {
         // local part has two consecutive dots
         $isValid = false;
      }
      else if (!preg_match('/^[A-Za-z0-9\\-\\.]+$/', $domain))
      {
         // character not valid in domain part
         $isValid = false;
      }
      else if (preg_match('/\\.\\./', $domain))
      {
         // domain part has two consecutive dots
         $isValid = false;
      }
      else if
(!preg_match('/^(\\\\.|[A-Za-z0-9!#%&`_=\\/$\'*+?^{}|~.-])+$/',
                 str_replace("\\\\","",$local)))
      {
         // character not valid in local part unless 
         // local part is quoted
         if (!preg_match('/^"(\\\\"|[^"])+"$/',
             str_replace("\\\\","",$local)))
         {
            $isValid = false;
         }
      }
      if ($isValid && !(checkdnsrr($domain,"MX") || checkdnsrr($domain,"A")))
      {
         // domain not found in DNS
         $isValid = false;
      }
   }
   return $isValid;
}

?>